#!/bin/sh

set -eu

sourcedir=$(readlink -f $(dirname "$0")/..)

(cd "$sourcedir"
 version=$(awk 'BEGIN { FS="\"" } ; /version/ { print $2; exit }' META)
 tarname="ocaml-xml-rpc-$version.tar.gz"
 origname="ocaml-xml-rpc_$version.orig.tar.gz"
 (cd ..
  if [ -f "$tarname" ] && [ ! -f "$origname" ]
  then
    mv "$tarname" "$origname"
  fi)
 if [ ! -d debian ]
 then
   cp -R packaging/debian debian
 fi
 debian/rules ocamlinit
 debuild)
