Summary: OCaml XML-RPC library.
Name: ocaml-xml-rpc
Version: 0.2.8
Release: 1
License: LGPL/GPL
Group: Development/Libraries
URL: http://ocaml-xml-rpc.sourceforge.net/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: ocaml-libraries
Requires: ocaml-libraries

%description
An XML-RPC client and server, using an ad-hoc interface definition language
and IDL compiler.

%prep
%setup -q

%build

%define srcdir /usr/src/ocaml-xml-rpc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%srcdir
cp -a . $RPM_BUILD_ROOT%srcdir

%clean
rm -rf $RPM_BUILD_ROOT


%post
cd %srcdir
make clean
make
make opt
make install
cd httpd
make
make opt
make install

%preun
cd %srcdir
make uninstall || true


%files
%defattr(-,root,root,-)
%srcdir


%changelog
* Mon May 29 2006 Ewan Mellor <ocaml-xml-rpc@ewanmellor.org.uk>
- Fix a bug whereby an invalid response would be generated if an error
  message contained characters that should be escaped inside XML.

- Depend only upon pxp-engine, not pxp itself, leaving the application free
  to select lexer packages as appropriate.

* Tue Apr 25 2006 Ewan Mellor <ocaml-xml-rpc@ewanmellor.org.uk>
- Initial packaging.

